<style>
	<?php echo $this->options['custom_css']; ?>
</style>

<?php
if(!empty($events))
{
?>
<table class="dynamicsync-table footable" data-page-size="<?php echo $perpage; ?>">
	<thead>
	<tr>
	  <th class="dynamicsync-table-header" data-toggle="true" <?php if($sortby == "title") echo 'data-sort-initial="true"'; ?>>
	    Title
	  </th>
	  <th class="dynamicsync-table-header" data-hide="xsmall,phone" <?php if($sortby == "date") echo 'data-sort-initial="true"'; ?>>
	    Date
	  </th>
	  <th class="dynamicsync-table-header" data-hide="xsmall,phone">
	    Time
	  </th>
	  <th class="dynamicsync-table-header" data-hide="xsmall,phone,small">
	    Venue
	  </th>
	  <th class="dynamicsync-table-header" data-hide="xsmall,phone" data-sort-ignore="true">

	  </th>
	</tr>
	</thead>
  <tbody>
	<?php
		foreach($events as $event)
		{
			echo '<tr class="dynamicsync-table-row">';
				echo '<td class="dynamicsync-table-cell">';
					echo $event['title'];
				echo '</td>';

					$s_date = date($dateformat, strtotime($event['start_date']) + $event['timezone']*60*60);
					$e_date = date($dateformat, strtotime($event['end_date']) + $event['timezone']*60*60);
					
					$s_time = date($timeformat, strtotime($event['start_date']) + $event['timezone']*60*60);
					$e_time = date($timeformat, strtotime($event['end_date']) + $event['timezone']*60*60);
					
					echo '<td class="dynamicsync-table-cell" data-value="'.strtotime($event['start_date']).'">';
						if ( $s_date == $e_date )
							echo $s_date;
						else
							echo $s_date.' &dash; '.$e_date;
				echo '</td>';
				
				echo '<td class="dynamicsync-table-cell">';
					if(isset($event['pretty_time'])) {
						echo $event['pretty_time'];
					} else {
						echo $s_time.' &dash; '.$e_time;
					}					
				echo '</td>';
				
				echo '<td class="dynamicsync-table-cell">';
					echo $event['venue_name'];
				echo '</td>';
				
				echo '<td class="dynamicsync-table-cell">';
					if ( $this->eventIsSoldOut( $event ) )
						echo '<span>Sold Out</span>';
					else
						echo '<a class="dynamicsync-table-button" href="'.$events['url'].'">Register</a>';
				echo '</td>';
	
			echo '</tr>';
		}
	?>
	</tbody>
	<tfoot class="dynamicsync-table-footer hide-if-no-paging">
		<tr>
			<td colspan="5">
				<div class="pagination pagination-centered"></div>
			</td>
		</tr>
	</tfoot>
</table>
<?php
}
else
{
	echo $noEventText;
}