function isImage(url) {
	if (url == null || url === undefined) {
		return false;
	}
	var validExtensions = ["jpg", "png", "gif", "jpeg", "bmp"];
	var ext = url.split('.').pop();
	var a = validExtensions.indexOf(ext);
	if(a >= 0) {
		return true;
	} else {
		return false;
	}
}

jQuery(document).ready(function($) {
    $('#calendar').fullCalendar({
        header: {
            left: 'prev,next today',
            center: 'title',
            right: 'month,agendaWeek,agendaDay'
        },
        editable: false,
        contentHeight: "auto",
        
        events: eventDates,
        eventRender: function(event, element, calEvent) {
        	element.find(".fc-content").prop("title", event.description);
            element.find(".fc-content .fc-time").html('');
        	element.find(".fc-content").append("<div class=\"fc-time\">"+event.time+"</div>");
        	if(isImage(event.user1)) {
        		element.find(".fc-content").append("<div class=\"fc-image\"><img src=\""+event.user1+"\"></div>");	
            	if(event.soldOut) {
            		element.find(".fc-image").append("<img class='fc-sold-out' src="+event.soldOutImage+">");
            	}        	
        		element.find(".fc-content").append("</div>");	
        	}
			else
			{
            	if(event.soldOut) {
            		element.find(".fc-content").append("<div class='ds-cal-sold-out'><strong>Sold Out</strong></div>");
            	}
			}
        	if(event.lowWarning) {
        		element.find(".fc-content").append("<div class=\"fc-low-warning\">Only "+event.placesLeft+" places left!</div>");
        	}
        }
    });    
});