<?php

// print_r($groupedEvents);
foreach($groupedEvents as $eventType) {
	$event0 = $eventType[0];	// Use 1st event settings
	
	if(!empty($registerformurl)) {
		$regFormUrl = $registerformurl;
	} else {
		$regFormUrl = $this->options['reg_form_url'];
	}
	$arrUrl = parse_url($regFormUrl);
	if(empty($arrUrl['query'])) {
		$baseUrl = $regFormUrl;
	} else {
		$baseUrl = $arrUrl['scheme']."://".$arrUrl['host'].$arrUrl['path'];
	}
	?>	
		<form method="get" action="<?php echo $baseUrl; ?>" id="<?php echo $event0['guid'] ?>">
		<?php 
			// Add current query parameters
			if(!empty($arrUrl['query'])) {
				$arrQuery = explode("&", $arrUrl['query']);
				foreach($arrQuery as $param) {
					$arrParam = explode("=", $param);
					?>
						<input type="hidden" value="<?php echo $arrParam[1] ?>" name="<?php echo $arrParam[0]; ?>">
					<?php 
				}
								
			}
			
			// Add Event Fields
			if($this->options['reg_form_include_event_id']) {
			?>
				<input type="hidden" value="<?php echo $event0['eventId'] ?>" name="<?php echo $this->options['reg_form_event_id_field']; ?>">
			<?php
			} 
			if($this->options['reg_form_include_event_name']) {
			?>
				<input type="hidden" value="<?php echo $event0['title'] ?>" name="<?php echo $this->options['reg_form_event_name_field']; ?>">
			<?php 
			}
		?>
		
		<div class="ds-event-dates-container">
			<h2 class="ds-event-dates-title"><?php echo $event0['title'] ?></h2>
			<div class="col-md-9">
				<div class="col-md-2" style="padding-right: 16px; border-right: 1px solid #898989; margin-right: 16px;">
					<?php if($this->isImage($event0['user1'])) { ?>
						<img style="width: 100%;" src="<?php echo $event0['user1'];?>">
						<br />
						<br />
					<?php } ?>
					<?php if(!empty($event0['description']) && !$datedescription) { ?>
						<span class="ds-event-dates-description"><?php echo $event0['description']?></span><br>
					<?php } ?>
					<?php if(!empty($event0['price'])) { ?>
						<h5  class="ds-event-dates-price"><strong>Price:</strong> <?php if(array_key_exists('price', $event0)) echo $event0['price'];?></h5>
						<br />
					<?php } ?>
				</div>
				<div class="col-md-7">
					<?php 
						if(count($eventType) > 1) {
							?>
								<h4>Available Dates</h4>
							<?php
							$radio_id = 0;
							foreach($eventType as $event) {
								if($this->eventIsSoldOut($event)) {
									$disabled = "disabled";
								} else {
									$disabled = "";
								}
								
								echo '<div style="width:290px;padding-bottom:20px;">';
								echo '<input id="'.$event['guid'].'_reg_link_'.$radio_id.'" name="'.$this->options['reg_form_event_date_id_field'].'" type="radio" value="'.$event['guid'].'" '.$disabled.'>';
								echo '<label for="'.$event['guid'].'_reg_link_'.$radio_id.'"><div style="margin-top:-25px;margin-left: 25px;">';
								$date = date('l, F j, Y', strtotime($event['start_date']) + $event['timezone']*60*60);
								
								
								if(!empty($event['pretty_time'])) {
									$time = $event['pretty_time'];
								} else {
									$time = date('g:ia', strtotime($event['start_date']) + $event['timezone']*60*60)." - ".date('g:ia', strtotime($event['end_date']) + $event['timezone']*60*60);
								}
								echo '<strong>'.$date.'<br/>'.$time.'</strong><br/>';
								
								if($this->eventIsSoldOut($event)) {
									echo "<span class=\"ds-event-dates-sold-out-text\">SOLD OUT</span><br>";
								}
								
								if(!empty($event['description']) && $datedescription) {
									echo $event['description']."<br/>";
								}
								if(!empty($event['venue_name'])) {
									echo $event['venue_name']."<br/>";
								}
								if(!empty($event['venue_address'])) {
									echo $event['venue_address'];
								}
								$radio_id++;
														
								echo '</div></label></div>';
							}	// foreach
							echo "<button type='submit' class='ds-register-button' OnClick='return checkDateSelection(\"".$this->options['reg_form_event_date_id_field']."\")'>Register Now</button>";
				
						} else {
							echo '<div style="width:290px;padding-bottom:20px;">';
							if($this->options['reg_form_include_event_date_id']) {
							?>
								<input type="hidden" value="<?php echo $event0['guid'] ?>" name="<?php echo $this->options['reg_form_event_date_id_field']; ?>">
							<?php
							} 							

							$date = date('l, F j, Y', strtotime($event0['start_date']) + $event0['timezone']*60*60);
								
							if($this->options['reg_form_include_event_date']) {
							?>
								<input type="hidden" value="<?php echo $date ?>" name="<?php echo $this->options['reg_form_event_date_field']; ?>">
							<?php
							} 							
														
							if(!empty($event0['pretty_time']))
							{
								$time = $event0['pretty_time'];
							} else {
								$time = date('g:ia', strtotime($event0['start_date']) + $event0['timezone']*60*60)." - ".date('g:ia', strtotime($event0['end_date']) + $event0['timezone']*60*60);
							}
							echo '<strong>'.$date.'<br>'.$time.'</strong><br>';
							if(!empty($event['description']) && $datedescription) {
								echo $event['description']."<br/>";
							}
							if(!empty($event0['venue_name'])) {
								echo $event0['venue_name']."<br/>";
							}
							if(!empty($event0['venue_address'])) {
								echo $event0['venue_address']."<br/>";
							}
							echo "</div>";
							if ( $this->eventIsSoldOut( $event0 ) )
								echo "<span class='ds-sold-out'>Sold Out</span>";
							else
								echo "<button class='ds-register-button' type='submit'>Register Now</button>";
						}
						
					?>
				</div>		
			</div>
		</div>
		</form>
		<script>
			function checkDateSelection(radio) {
				var dateSelectionRadio = document.getElementsByName(radio);
				var ischecked_method = false;
				for ( var i = 0; i < dateSelectionRadio.length; i++) {
				    if(dateSelectionRadio[i].checked) {
				        ischecked_method = true;
				    }
				}
				if(!ischecked_method)   { //payment method button is not checked
				    alert("Please choose a date first");
				    return false;
				}
				return true;
			}
		</script>
		<!-- END: DynamicSync Event Calendar Plugin -->
	<?php
}
